Bug 669223 - many on-screen characters, some graphics corrupted after Resume from Hibernate
many on-screen characters, some graphics corrupted after Resume from Hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 17:14 EST by xunilarodef
Modified: 2012-08-16 14:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrupted characters displayed when most of the characters on the rows of a keyboard were typed sequentially in a text editor window (19.91 KB, image/png)
2011-01-12 17:14 EST, xunilarodef
no flags Details
normal characters displayed when this saved file was displayed in the same text editor after the system had been Shutdown and Restarted (20.55 KB, image/png)
2011-01-12 17:18 EST, xunilarodef
no flags Details
corrupted desktop background shown upon Resume (371.96 KB, image/png)
2011-01-12 17:28 EST, xunilarodef
no flags Details

  None (edit)
Description xunilarodef 2011-01-12 17:14:36 EST
Created attachment 473148 [details]
corrupted characters displayed when most of the characters on the rows of a keyboard were typed sequentially in a text editor window

Description of problem:
  Several times upon Resume from Hibernation, the display is partially corrupted.  The first portion of a screenshot attached below shows the characters displayed when most of the characters on the rows of a keyboard were typed sequentially in a text editor window.  This file was saved, the second portion of a screenshot shows the characters displayed when this saved file was displayed in the same text editor after the system had been Shutdown and Restarted.  Lest one think this bug arises merely in the text editor, the same garbage is displayed in the web browser, gnome applets, etc. or every window in sight.  Attempts at forcing a window to be redrawn, e.g. minimizing and restoring, or paging / scrolling to "new" material does not cure the disease.  Speculation that this is yet another set of symptoms for yet another corruption of the (shared) memory (no dedicated graphics memory for this adapter, it uses a portion of system memory) during the Hibernation or the Resume with these Intel 915G graphics.  

  [Yes, corrupting video memory is "better" than corrupting random bits of the filesystem, etc. as previous incarnations of this software has done.  But are there non-video bits that are messed up too, just not noticed yet?]

  While this has happened several times, it does not occur upon *every* Resume from Hibernation (i.e. some Resumes work as expected).

  Once shutdown progresses into character mode, the characters there are the normal expected (US English) characters

Version-Release number of selected component (if applicable):
[u@who ~]$ uname -a
Linux 209 2.6.35.10-74.fc14.i686 #1 SMP Thu Dec 23 16:17:40 UTC 2010 i686 i686 i386 GNU/Linux
[u@who ~]$ 

How reproducible:  approximately 50% chance

Steps to Reproduce:
1. Hibernate
2. Resume
3. Notice whether you can read anything.
  
Actual results:
Unusable system, must Shutdown, Restart.

Expected results:
Able to read unlock screen prompt, window titles, file contents, and all displayed text just as before the Hibernate.

Additional info:
I once saw a window with corrupted characters self-heal into the correct characters several minutes after the Resume had completed.  I am unaware of the cause of that miracle, but since all other windows still contained corrupted characters, I had to Shutdown, Restart to obtain a usable system anyway.

 - - - [from /var/log/Xorg.0.log]:
[   153.558] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
 :
[   153.650] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
[   153.650] (II) VESA: driver for VESA chipsets: vesa
[   153.651] (II) FBDEV: driver for framebuffer: fbdev
 :
[   153.696] (II) intel(0): Integrated Graphics Chipset: Intel(R) 915G
[   153.696] (--) intel(0): Chipset: "915G"
 - - -
Comment 1 xunilarodef 2011-01-12 17:18:56 EST
Created attachment 473150 [details]
normal characters displayed when this saved file was displayed in the same text editor after the system had been Shutdown and Restarted
Comment 2 xunilarodef 2011-01-12 17:28:42 EST
Created attachment 473152 [details]
corrupted desktop background shown upon Resume
Comment 3 Jacek Pawlyta 2011-04-18 04:44:43 EDT
Confirming the same on x86_64 F15 alpha with KDE

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)

kernel 2.6.38.3-15.rc1.fc15.x86_64
xorg-x11-drv-intel-2.14.0-5.fc15.x86_64
pm-utils-1.4.1-6.fc15.x86_64

(II) intel(0): Integrated Graphics Chipset: Intel(R) GM45                                                                    
(--) intel(0): Chipset: "GM45"
Comment 4 Jacek Pawlyta 2011-07-08 03:17:39 EDT
The problem is still here fedora 15 x86_64

kernel-2.6.38.8-34.fc15.x86_64
xorg-x11-drv-intel-2.15.0-3.fc15.x86_64
pm-utils-1.4.1-8.fc15.x86_64



00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 3a02
        Flags: bus master, fast devsel, latency 0, IRQ 46
        Memory at f4000000 (64-bit, non-prefetchable) [size=4M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 1800 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset 
OpenGL version string: 2.1 Mesa 7.11-devel
OpenGL shading language version string: 1.20
Comment 5 Victor 2011-09-16 01:37:42 EDT
Ive had this problem since fedora 12.  Any word on how to solve it?
Comment 6 Jacek Pawlyta 2011-09-16 05:04:40 EDT
I upgraded to kernel-3.1 rc for F16 (I use F15) via koji.fedoraproject.org and it seems that it helped.
Comment 7 Fedora End Of Life 2012-08-16 14:48:18 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.